# $Revision: 1.42 $, $Date: 2004/01/02 17:55:33 $
Summary:	Password Database Library
Summary(de):	Passwortdatenbank-Library
Summary(fr):	Bibliothque de la base de donnes des mots de passe
Summary(pl):	Biblioteka Danych o uytkownikach
Summary(tr):	Parola veri taban arivi
Name:		pwdb
Version:	0.61
Release:	6
License:	GPL/BSD
Group:		Base
Source0:	ftp://sysadm.sorosis.ro/pub/libpwdb/%{name}-%{version}.tar.gz
# Source0-md5: 47e2dc0d5590390fe7a3937961575b09
Patch0:		%{name}-pld.patch
BuildRequires:	sgml-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database. Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules). Libpwdb allows configurable access
to and management of security tools like /etc/passwd, /etc/shadow and
network authentication systems including NIS and Radius.

%description -l de
Das pwdb-Paket enthlt libpwdb, die Passwortdatenbank-Library. Libpwdb
ist eine Library, die eine Userinformations-Datenbank implementiert,
und mit Linux-PAM (Pluggable Authentication Modules) zusammenarbeited.
Libpwdb erlaubt konfigurierbaren Zugriff auf /etc/passwd, /etc/shadow
und Netzwerkauthentifizierungssysteme wie NIS und Radius.

%description -l fr
pwdb (Password Database Library) permet un accs configurable  (et la
gestion de) /etc/passwd, /etc/shadow ainsi que des systmes
d'authentification rseau, dont NIS et Radius.

%description -l pl
Pwdb (Password Database Library) zapewnia spjny interfejs dostpu do
zarzdzania bazami danych o uytkownikach. Biblioteka zwalnia
aplikacje od koniecznoci samodzielnego przetwarzania baz danych, oraz
daje administratorowi moliwo wyboru czy dane bd pochodzi z
/etc/passwd, /etc/shadow czy baz sieciowych jak NIS lub RADIUS,
poprzez prosty plik konfiguracyjny.

%description -l tr
pwdb, /etc/passwd ve /etc/shadow dosyalarnn ynetimine ve eriimine,
NIS ve Radius ieren sistemlerde a dorulamasna izin verir.

%package devel
Summary:	PWDB header files
Summary(pl):	Pliki nagwkowe do PWDB
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for developing PWDB based applications.

%description devel -l pl
Pliki nagwkowe do PWDB do tworzenia aplikacji opartych o PWDB.

%package static
Summary:	PWDB static libraries
Summary(pl):	Biblioteki statyczne PWDB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
PWDB static libraries.

%description static -l pl
Biblioteki statyczne PWDB.

%prep
%setup -c -q
%patch -p1

%build
ln -sf defs/pld.defs default.defs

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{__make} -C doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib},%{_includedir}/pwdb,%{_libdir}}

%{__make} install \
	INCLUDED=$RPM_BUILD_ROOT%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib}

install conf/pwdb.conf $RPM_BUILD_ROOT%{_sysconfdir}/pwdb.conf

mv -f $RPM_BUILD_ROOT/%{_lib}/libp*.a	$RPM_BUILD_ROOT%{_libdir}

ln -sf /%{_lib}/libpwdb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpwdb.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/pwdb.txt doc/html/*.html
%config %verify(not size mtime md5) %{_sysconfdir}/pwdb.conf
%attr(755,root,root) /%{_lib}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/pwdb

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pwdb.spec,v $
Revision 1.42  2004/01/02 17:55:33  jajcus
- Release: 6 (STBR after AMD64 fixes)

Revision 1.41  2003/12/18 23:35:21  qboosh
- unifications

Revision 1.40  2003/12/18 23:27:21  jajcus
- use %{_libdir} instead of /lib/

Revision 1.39  2003/10/04 08:57:58  blues
- release 5 ( 4 will be for RA)

Revision 1.38  2003/08/25 09:00:21  mmazur
- rel 3 for ac

Revision 1.37  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 06:25:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2002/10/25 16:18:27  qboosh
- use absolute symlinks between directories
- killed subshell, new %%doc
- release 2

Revision 1.34  2002/08/18 11:54:36  blues
license fix

Revision 1.33  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/02 20:36:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.30  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.28  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/15 05:37:02  kloczek
- updated to 0.61,
- spec adapterized.

Revision 1.26  2000/04/01 11:15:38  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/10/04 13:25:12  kloczek
- updated to 0.60.

Revision 1.23  1999/07/28 15:21:42  kloczek
- release 5,
- added BuildRequires: sgml-tools.

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jan 24 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.55-3d]
- fixed symlinks ...

* Sat Jan 23 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.55-2d]
- added Group(pl),
- fixed static subpackage,
- compressed %doc,
- added pld.defines.

* Sun Oct  4 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.55-1d]
- added devel and static subpackages.

* Thu Oct 01 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.54-8d]
- build against Tornado,
- fixed pl translation,
- added %defattr support,
- minor modifications of the spec file.

* Wed Sep 30 1998 Grzegorz Stanisawski <stangrze@open.net.pl>
- Added Polish translation
- Added BuildRoot
